Bug 8203 - Should be possible to save individual authorities
Summary: Should be possible to save individual authorities
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 8202
Blocks: 8212
  Show dependency treegraph
 
Reported: 2012-06-07 12:54 UTC by Jared Camins-Esakov
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8203: Add ability to save individual authorities (72.59 KB, patch)
2012-06-15 17:17 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8203: Add ability to save individual authorities (71.25 KB, patch)
2012-06-15 21:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8203 follow-up: QA fixes (1.83 KB, patch)
2012-07-05 12:34 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Followup (1.87 KB, patch)
2012-07-05 12:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8203 follow-up: fix MARCXML export for UNIMARC (908 bytes, patch)
2012-07-06 11:22 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-06-07 12:54:09 UTC
Right now there is no convenient way to save an individual authority record. I propose adding a Save button to the authority view in the staff client which allows records to be saved as MARC, MARCXML, and (at least for MARC21) MADS.
Comment 1 Jared Camins-Esakov 2012-06-15 17:17:03 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-06-15 21:18:00 UTC
Created attachment 10313 [details] [review]
[SIGNED-OFF] Bug 8203: Add ability to save individual authorities

Adds the ability to save individual authority records in MADS, MARCXML, or
binary MARC format to the staff client.

To test:
1. Apply patch
2. View authority record in staff client
3. Try saving record as MADS, MARCXML, and MARC, and confirm that the
   resulting files are what you expect

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely, tested different export options on different records.
Comment 3 Marcel de Rooy 2012-07-05 10:12:32 UTC
QA Comment:
I was about to mark this Passed QA, but I could not get it to work properly. I click on the Save menu and choose an option. But whatever I try, nothing happens.. Tested in Firefox 9 (oops). Note that running the export URL from the address bar did the job perfectly. Any idea? 

Secondly, authorities/export.pl uses tools/export.tt. This could raise some confusion some day. (No blocker)

MARC21slim2MADS.xsl: Does this file need some kind of copyright statement/acknowledgement? It contains a version history; it is not clear where it came from. (Followup?)

Marking as Failed QA for need of clarification/adjustment.
Comment 4 Katrin Fischer 2012-07-05 10:55:23 UTC
Hm, I tested in Firefox too - but not sure about the version. :(
Comment 5 Jared Camins-Esakov 2012-07-05 12:34:56 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2012-07-05 12:41:21 UTC
Created attachment 10643 [details] [review]
[SIGNED-OFF] Followup
Comment 7 Marcel de Rooy 2012-07-05 12:42:35 UTC
QA Comment: YUI problem fixed. Copyright included.
Passed QA
Comment 8 Paul Poulain 2012-07-06 10:25:23 UTC
QA comment : UNIMARC epic fail when saving in MARCXML...

The patch I made for bug 8202 is probably the way to investigate, I let you do this time:
+ if ($marcflavour eq 'UNIMARC' && $record_type eq 'auths') {
+     print $record->as_xml_record('UNIMARCAUTH');
+ } else {
+     print $record->as_xml_record($marcflavour);
+ }
Comment 9 Jared Camins-Esakov 2012-07-06 11:22:10 UTC
Created attachment 10669 [details] [review]
Bug 8203 follow-up: fix MARCXML export for UNIMARC
Comment 10 Paul Poulain 2012-07-12 14:03:50 UTC
QA comment: fix for UNIMARC OK, passed QA
Comment 11 Jared Camins-Esakov 2012-12-03 13:29:26 UTC
This feature is available in Master.